<template>
	<div class="wlh-chip">
		<div
			class="wlh-chip__text"
			role="textbox"
		>
			{{ text }}
		</div>
	</div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent( {
	name: 'ChipItem',
	props: {
		text: {
			type: String,
			required: true
		}
	}
} );

</script>

<style lang="less">
.wlh-chip {
	display: inline-flex;
	background-color: #eaecf0;
	border-width: 1.5px;
	border-style: solid;
	border-radius: 100px;
	padding: 0 8px;
	margin-top: 2.5px;
	margin-bottom: 2.5px;
	vertical-align: middle;
	max-width: 100%;
	border-color: #eaecf0;

	&__text {
		height: 100%;
		width: max-content;
		max-width: 100%;
		display: flex;
		align-items: center;
	}
}
</style>
